Status: New Start date: 2012-09-03

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 0%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2012.41-Block.6.1   

Milestone: CCI-1.2 Story Points:  

Product Version: *   

Description

Metacat doesn't currently register the dataoneTypes.xsd schema on installation.  when inserting the OBJECT_FORMAT_LIST.1.1

document, we get a parsing error:

knb 20120903-22:32:18: [ERROR]: DBSaxHandler.error - cvc-elt.1.a: Cannot find the declaration of element 'd1:objectFormatList'.

[edu.ucsb.nceas.metacat.DBSAXHandler]

knb 20120903-22:32:18: [ERROR]: DocumentImpl.write - Problem with parsing: cvc-elt.1.a: Cannot find the declaration of element

'd1:objectFormatList'. [edu.ucsb.nceas.metacat.DocumentImpl]

Once the schema is added to the /schema web directory, and is registered in postgresql, the document can be inserted and updated

fine.

History

#1 - 2012-09-04 15:59 - Chris Jones

Since this issue is specific to DataONE, and really just the CNs, add this schema entry to the CN's xml_catalog via the dataone-cn-metacat buildout

script rather than in the Metacat installation/upgrade scripts.  The namespace URL http://ns.dataone.org/service/types/v1 should be registered.

#2 - 2012-09-04 21:46 - Chris Jones

- Milestone changed from CCI-1.0.4 to CCI-1.0.5

The namespace is registered for the production system, so I'm pushing this to 1.0.5 since it's not critical.

#3 - 2012-10-03 15:37 - Chris Jones

- Milestone changed from CCI-1.0.5 to CCI-1.1

#4 - 2012-10-05 14:23 - Chris Jones

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

- Milestone changed from CCI-1.1 to CCI-1.2
